
Redmine - Feature #32764

Make form validation errors more obvious for users 

2020-01-07 23:26 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

Currently, the validation errors are shown only on top of the page:

 validation_errors.png 

which makes very hard for the user to find those fields with errors, especially when there are multiple fields (how is in the case of an

issue).

What do you think if we make those fields with errors more obvious?

 highlight_fields.png 

Related issues:

Related to Redmine - Defect #34580: Custom field labels do not contain class ... Closed

Associated revisions

Revision 19495 - 2020-02-04 15:30 - Go MAEDA

Highlight fields with validation error (#32764).

Patch by Marius BALTEANU.

Revision 20710 - 2021-01-11 13:26 - Go MAEDA

Add class 'error' to custom fields with validation errors (#32764, #34580).

Patch by Marius BALTEANU.

History

#1 - 2020-01-07 23:28 - Marius BĂLTEANU

- Description updated

#2 - 2020-01-08 03:24 - Go MAEDA

Marius BALTEANU wrote:

What do you think if we make those fields with errors more obvious?

 +1

It is a very common interface. And the issue form tends to have many fields, so Redmine should definitely have this feature.

#3 - 2020-01-09 06:40 - Mischa The Evil

Marius BALTEANU wrote:

What do you think if we make those fields with errors more obvious?

 I think that would be a nice improvement indeed. Though I'm not sure if the field label should be changed too or if the highlighting of the actual field

(border) itself is sufficient. We might want to get some feedback on that as some users may have patched/changed the core in such a way that it has

custom field styling which may conflict with such a change (however, such shouldn't block a change like proposed here).

#4 - 2020-01-27 01:01 - Marius BĂLTEANU

- File 0001-Highlight-fields-with-validation-error.patch added
Here is the patch.

Mischa The Evil wrote:

I think that would be a nice improvement indeed. Though I'm not sure if the field label should be changed too or if the highlighting of the actual

field (border) itself is sufficient. We might want to get some feedback on that as some users may have patched/changed the core in such a way

that it has custom field styling which may conflict with such a change (however, such shouldn't block a change like proposed here).

 Initially, I tried only the field (border), but because all labels are bold, it wasn't obvious enough for me. Anyway, any option works for me.

#5 - 2020-02-04 10:37 - Go MAEDA

- Target version set to 4.2.0

This is a nice UI improvement!

Setting the target version to 4.2.0.

#6 - 2020-02-04 15:30 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.

#7 - 2021-01-10 03:50 - Go MAEDA

- Related to Defect #34580: Custom field labels do not contain class "error" when the field value is invalid added
